using System;

namespace Wizard;

public static class LootBoxDialogUtility
{

	public static void CreateLootBoxRegulationDialog(PlayerStaticData.LootBoxType type)
	{
		string key;
		string key2;
		switch (type)
		{
		default:
			return;
		case PlayerStaticData.LootBoxType.GACHA:
			key = "Dia_LootBox_002_Title";
			key2 = "Dia_LootBox_002_Body";
			break;
		case PlayerStaticData.LootBoxType.TWOPICK:
			key = "Dia_LootBox_003_Title";
			key2 = "Dia_LootBox_003_Body";
			break;
		case PlayerStaticData.LootBoxType.SEALED:
			key = "Dia_LootBox_Sealed_Title";
			key2 = "Dia_LootBox_Sealed_Body";
			break;
		case PlayerStaticData.LootBoxType.COLOSSEUM:
			key = "Dia_LootBox_004_Title";
			key2 = "Dia_LootBox_004_Body";
			break;
		case PlayerStaticData.LootBoxType.COMPETITION:
			key = "Dia_LootBox_Competition_Title";
			key2 = "Dia_LootBox_Competition_Body";
			break;
		case PlayerStaticData.LootBoxType.SPECIAL_CRYSTAL:
			key = "Dia_LootBox_005_Title";
			key2 = "Dia_LootBox_005_Body";
			break;
		}
		DialogBase dialogBase = UIManager.GetInstance().CreateDialogClose();
		dialogBase.SetSize(DialogBase.Size.S);
		dialogBase.SetButtonLayout(DialogBase.ButtonLayout.OkBtn);
		dialogBase.SetPanelDepth(3000);
		dialogBase.SetTitleLabel(Data.SystemText.Get(key));
		dialogBase.SetText(Data.SystemText.Get(key2));
	}
}
